# QuQFin: Quantum-Accelerated Quantitative Finance Library

QuQFin is a high-performance quantitative finance library that leverages NVIDIA's quantum computing frameworks (cuQuantum, custatevector, and cutensornet) to accelerate financial computations.

## Features

- **Options Pricing**
  - Black-Scholes model
  - Monte Carlo simulations
  - Exotic options (Asian, Barrier, Lookback)
  - Greeks calculations

- **Portfolio Optimization**
  - Markowitz optimization
  - Risk parity
  - Black-Litterman model

- **Risk Management**
  - Value at Risk (VaR)
  - Conditional VaR
  - Stress testing

- **Market Making**
  - Order book management
  - Market making strategies

- **Time Series Analysis**
  - GARCH models
  - Kalman filtering

## Installation

```bash
pip install quqfin
```

## License
This project is licensed under the MIT License - see the LICENSE file for details

## Citation

If you use QuQfin in your research, please cite the following paper:

``` bibtex
@software{quqfin2023,
  title = {QuQFin: A Quantum-Accelerated Quantitative Finance Library},
  year = {2025},
  url = {https://github.com/zazabap/quqfin}
}
```

